<template>
  <div
    class="vx-row flex-col-reverse md:flex-col-reverse sm:flex-row lg:flex-row"
  >
    <div class="vx-col w-full">
      <span class="font-bold">Công việc hoàn thành trong tuần</span>
    </div>
    <!-- LEFT COL -->
    <div
      class="vx-col w-full md:w-full sm:w-1/2 lg:w-1/2 xl:w-1/2 flex flex-col justify-end"
    >
      <vs-button
        icon-pack="feather"
        icon="icon-chevrons-right"
        icon-after
        class="shadow-md w-full lg:mt-0 mt-4"
        target
        :href="{ url: '/todo/next-week' }"
        >Xem chi tiết</vs-button
      >
    </div>

    <!-- RIGHT COL -->
    <div
      class="vx-col w-full md:w-full sm:w-1/2 lg:w-1/2 xl:w-1/2 flex flex-col lg:mb-0 md:mb-base sm:mb-0 mb-base"
    >
      <!-- <ChangeTimeDurationDropdown class="self-end" /> -->
      <VueApexCharts
        type="bar"
        height="200"
        :options="chartOptions"
        :series="[{ name: 'Đã hoàn thành', data: chartSeries }]"
      />
    </div>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";
import analyticsData from "./analyticsData.js";

export default {
  components: {
    VueApexCharts
  },
  props: {
    chartData: { type: Object, default: () => ({}) },
    text: String
  },
  computed: {
    cols() {
      return this.chartData.columns;
    },
    chartSeries() {
      return this.chartData.chartSeries;
    },
    chartLabels() {
      return this.chartData.chartLabels;
    },

    chartColors() {
      return series => {
        const max = Math.max(...series);
        const index = series.findIndex(col => col == max);
        const colors = Array(7).fill("rgba(115,103,240,0.15)");
        colors.splice(index, 1, "#7367f0");
        return colors;
      };
    }
  },
  data() {
    return {
      chartOptions: null,
      analyticsData: analyticsData
    };
  },
  created() {
    // assign chart options
    this.chartOptions = Object.assign(
      {},
      this.analyticsData.completionDistributionBarChart.chartOptions
    );

    this.chartOptions["xaxis"] = { categories: this.chartLabels };
    this.chartOptions["colors"] = this.chartColors(this.chartData.chartSeries);
  }
};
</script>
